Open Bug 1601601 Opened 5 years ago Updated 27 days ago

Intermittent dom/indexedDB/test/test_rename_index.html | Test timed out.

Categories

(Core :: Storage: IndexedDB, defect, P5)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Regression)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [stockwell unknown])

Attachments

(1 file)

Filed by: malexandru [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=279764520&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/AXrseON8Rnu_OydxILuWrw/runs/0/artifacts/public/logs/live_backing.log


[task 2019-12-05T11:56:15.794Z] 11:56:15 INFO - TEST-START | dom/indexedDB/test/test_rename_index.html
[task 2019-12-05T11:56:15.815Z] 11:56:15 INFO - GECKO(1672) | [Parent 1672, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-05T11:56:16.023Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageConnection.cpp, line 704
[task 2019-12-05T11:56:16.024Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageService.cpp, line 667
[task 2019-12-05T11:56:16.024Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 4126
[task 2019-12-05T11:56:16.141Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageConnection.cpp, line 704
[task 2019-12-05T11:56:16.141Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageService.cpp, line 667
[task 2019-12-05T11:56:16.142Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 4126
[task 2019-12-05T11:56:16.259Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageConnection.cpp, line 704
[task 2019-12-05T11:56:16.259Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/workspace/build/src/storage/mozStorageService.cpp, line 667
[task 2019-12-05T11:56:16.259Z] 11:56:16 INFO - GECKO(1672) | [Parent 1672, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 4126
[task 2019-12-05T12:01:30.332Z] 12:01:30 INFO - GECKO(1672) | [2019-12-05T12:01:30Z WARN rkv::backend::impl_safe::environment] Ignoring map_size=16777216
[task 2019-12-05T12:01:38.095Z] 12:01:38 INFO - TEST-INFO | started process screentopng
[task 2019-12-05T12:01:38.346Z] 12:01:38 INFO - TEST-INFO | screentopng: exit 0
[task 2019-12-05T12:01:38.346Z] 12:01:38 INFO - Buffered messages logged at 11:56:15
[task 2019-12-05T12:01:38.346Z] 12:01:38 INFO - Running 'test_rename_index.js'
[task 2019-12-05T12:01:38.346Z] 12:01:38 INFO - Pushing preferences
[task 2019-12-05T12:01:38.347Z] 12:01:38 INFO - Pushing permissions
[task 2019-12-05T12:01:38.347Z] 12:01:38 INFO - Clearing old databases
[task 2019-12-05T12:01:38.348Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Unsupported function type
[task 2019-12-05T12:01:38.348Z] 12:01:38 INFO - Running test in a worker
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - Worker: loading ["http://mochi.test:8888/tests/dom/indexedDB/test/unit/test_rename_index.js"]
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - Worker: starting tests
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Unsupported function type: undefined
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - Rename in v1.
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - Buffered messages logged at 11:56:16
[task 2019-12-05T12:01:38.349Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct objectStoreNames list:
[task 2019-12-05T12:01:38.351Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct objectStoreNames list:
[task 2019-12-05T12:01:38.352Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct object store name:
[task 2019-12-05T12:01:38.352Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Index created.: undefined
[task 2019-12-05T12:01:38.353Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Index created.: undefined
[task 2019-12-05T12:01:38.353Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct index name:
[task 2019-12-05T12:01:38.353Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Renamed index successfully:
[task 2019-12-05T12:01:38.354Z] 12:01:38 INFO - Verify renaming done in v1 and run renaming in v2.
[task 2019-12-05T12:01:38.354Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | got a database exception: undefined
[task 2019-12-05T12:01:38.355Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | correct error:
[task 2019-12-05T12:01:38.355Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct index name:
[task 2019-12-05T12:01:38.356Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Renamed index successfully:
[task 2019-12-05T12:01:38.356Z] 12:01:38 INFO - Verify renaming done in v2.
[task 2019-12-05T12:01:38.357Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct index name:
[task 2019-12-05T12:01:38.357Z] 12:01:38 INFO - Rename in v3.
[task 2019-12-05T12:01:38.358Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | index is valid.: undefined
[task 2019-12-05T12:01:38.358Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | got a database exception: undefined
[task 2019-12-05T12:01:38.358Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | correct error:
[task 2019-12-05T12:01:38.359Z] 12:01:38 INFO - Rename with the name of the deleted index.
[task 2019-12-05T12:01:38.359Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Renamed index successfully:
[task 2019-12-05T12:01:38.360Z] 12:01:38 INFO - Verify renaming done in v3.
[task 2019-12-05T12:01:38.362Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct index name:
[task 2019-12-05T12:01:38.362Z] 12:01:38 INFO - Abort the version change transaction while renaming index.
[task 2019-12-05T12:01:38.362Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Renamed successfully:
[task 2019-12-05T12:01:38.363Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Got an error event:
[task 2019-12-05T12:01:38.363Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Expected error was thrown.:
[task 2019-12-05T12:01:38.363Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | The name is reverted after aborted.:
[task 2019-12-05T12:01:38.364Z] 12:01:38 INFO - Verify if the objectstore name is unchanged.
[task 2019-12-05T12:01:38.364Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct index name:
[task 2019-12-05T12:01:38.365Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Async/await tests shouldn't call finishTest(): undefined
[task 2019-12-05T12:01:38.365Z] 12:01:38 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Worker finished
[task 2019-12-05T12:01:38.365Z] 12:01:38 INFO - Cleaning up the databases
[task 2019-12-05T12:01:38.366Z] 12:01:38 INFO - Buffered messages finished
[task 2019-12-05T12:01:38.366Z] 12:01:38 INFO - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/test_rename_index.html | Test timed out.
[task 2019-12-05T12:01:38.366Z] 12:01:38 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:277:18
[task 2019-12-05T12:01:38.366Z] 12:01:38 INFO - reportError@SimpleTest/TestRunner.js:121:22
[task 2019-12-05T12:01:38.367Z] 12:01:38 INFO - TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:18
[task 2019-12-05T12:01:38.367Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.367Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.368Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.369Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.369Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.369Z] 12:01:38 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.369Z] 12:01:38 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:01:38.370Z] 12:01:38 INFO - TestRunner.runTests/<@SimpleTest/TestRunner.js:388:20
[task 2019-12-05T12:01:38.370Z] 12:01:38 INFO - promise callback
TestRunner.runTests@SimpleTest/TestRunner.js:375:50
[task 2019-12-05T12:01:38.370Z] 12:01:38 INFO - RunSet.runtests@SimpleTest/setup.js:201:14
[task 2019-12-05T12:01:38.370Z] 12:01:38 INFO - RunSet.runall@SimpleTest/setup.js:180:12
[task 2019-12-05T12:01:38.371Z] 12:01:38 INFO - hookupTests@SimpleTest/setup.js:273:12
[task 2019-12-05T12:01:38.371Z] 12:01:38 INFO - parseTestManifest@http://mochi.test:8888/manifestLibrary.js:48:13
[task 2019-12-05T12:01:38.371Z] 12:01:38 INFO - getTestManifest/req.onload@http://mochi.test:8888/manifestLibrary.js:61:28
[task 2019-12-05T12:01:38.371Z] 12:01:38 INFO - EventHandlerNonNullgetTestManifest@http://mochi.test:8888/manifestLibrary.js:57:3
[task 2019-12-05T12:01:38.371Z] 12:01:38 INFO - hookup@SimpleTest/setup.js:253:20
[task 2019-12-05T12:01:38.372Z] 12:01:38 INFO - EventHandlerNonNull
@http://mochi.test:8888/tests?autorun=1&closeWhenDone=1&consoleLevel=INFO&manifestFile=tests.json&dumpOutputDirectory=%2Ftmp&cleanupCrashes=true:11:1
[task 2019-12-05T12:01:39.095Z] 12:01:39 INFO - GECKO(1672) | MEMORY STAT | vsize 2707MB | residentFast 193MB | heapAllocated 23MB
[task 2019-12-05T12:01:39.096Z] 12:01:39 INFO - TEST-OK | dom/indexedDB/test/test_rename_index.html | took 323304ms
[task 2019-12-05T12:01:39.113Z] 12:01:39 INFO - GECKO(1672) | [Parent 1672, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-05T12:01:39.149Z] 12:01:39 INFO - TEST-START | dom/indexedDB/test/test_rename_index_errors.html
[task 2019-12-05T12:01:39.165Z] 12:01:39 INFO - GECKO(1672) | [Parent 1672, Main Thread] WARNING: we only accept nsIURI interface type, patch welcome: file /builds/worker/workspace/build/src/dom/ipc/PropertyBagUtils.cpp, line 112
[task 2019-12-05T12:07:08.091Z] 12:07:08 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-12-05T12:07:08.092Z] 12:07:08 INFO - Buffered messages logged at 12:01:39
[task 2019-12-05T12:07:08.092Z] 12:07:08 INFO - Running 'test_rename_index_errors.js'
[task 2019-12-05T12:07:08.092Z] 12:07:08 INFO - Pushing preferences
[task 2019-12-05T12:07:08.093Z] 12:07:08 INFO - Pushing permissions
[task 2019-12-05T12:07:08.093Z] 12:07:08 INFO - Clearing old databases
[task 2019-12-05T12:07:08.093Z] 12:07:08 INFO - Buffered messages finished
[task 2019-12-05T12:07:08.094Z] 12:07:08 INFO - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/test_rename_index_errors.html | Test timed out.
[task 2019-12-05T12:07:08.095Z] 12:07:08 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:277:18
[task 2019-12-05T12:07:08.095Z] 12:07:08 INFO - reportError@SimpleTest/TestRunner.js:121:22
[task 2019-12-05T12:07:08.095Z] 12:07:08 INFO - TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:18
[task 2019-12-05T12:07:08.096Z] 12:07:08 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:07:08.096Z] 12:07:08 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15
[task 2019-12-05T12:07:08.097Z] 12:07:08 INFO - setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:170:15

Flags: needinfo?(kmaglione+bmo)
Regressed by: 1583614
Has Regression Range: --- → yes

(In reply to Intermittent Failures Robot from comment #15)

244 failures in 1095 pushes (0.223 failures/push) were associated with this bug yesterday.

** This test has failed more than 150 times in the last 21 days. It should be disabled until it can be fixed. **

Repository breakdown:

  • try: 241
  • autoland: 3

Platform breakdown:

  • gecko-decision: 2
  • lint: 9
  • linux64: 1
  • linux1804-64: 126
  • linux1804-64-qr: 104
  • linux1804-64-shippable: 1
  • linux64-tsan: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1601601&startday=2020-03-03&endday=2020-03-03&tree=all

Please ignore comment 15. Masayuki, any idea what happened here: https://treeherder.mozilla.org/#/jobs?repo=try&revision=09feaea62b803a0724c835cd97a3198919cbc6a1&selectedJob=291400654 ? Why the mass classification?

Flags: needinfo?(masayuki)
Whiteboard: [stockwell disable-recommended]

I apologize the spam stars. I didn't realized that I had clicked the pin at the header and try to mark an orange to this, then, all of them are stared.

Flags: needinfo?(masayuki)

The too many intermittent failure in tryserver must be caused by my stars.

Whiteboard: [stockwell disable-recommended]
Whiteboard: [stockwell disable-recommended]

There are 33 total failures in the last 7 days on linux64-tsan opt, linux1804-64-qr debug, linux1804-64 debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=293204311&repo=autoland&lineNumber=2730

[task 2020-03-15T04:45:56.032Z] 04:45:56 INFO - TEST-START | dom/indexedDB/test/test_rename_index.html
[task 2020-03-15T04:45:56.277Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageConnection.cpp, line 701
[task 2020-03-15T04:45:56.277Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageService.cpp, line 640
[task 2020-03-15T04:45:56.278Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/checkouts/gecko/dom/indexedDB/ActorsParent.cpp, line 4141
[task 2020-03-15T04:45:56.385Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageConnection.cpp, line 701
[task 2020-03-15T04:45:56.386Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageService.cpp, line 640
[task 2020-03-15T04:45:56.386Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/checkouts/gecko/dom/indexedDB/ActorsParent.cpp, line 4141
[task 2020-03-15T04:45:56.502Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageConnection.cpp, line 701
[task 2020-03-15T04:45:56.502Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /builds/worker/checkouts/gecko/storage/mozStorageService.cpp, line 640
[task 2020-03-15T04:45:56.502Z] 04:45:56 INFO - GECKO(1222) | [Parent 1222, QuotaManager IO] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '3128029391StpsleeTn+ddi.sqlite', retrying for up to 10 seconds: file /builds/worker/checkouts/gecko/dom/indexedDB/ActorsParent.cpp, line 4141
[task 2020-03-15T04:51:11.412Z] 04:51:11 INFO - GECKO(1222) | [2020-03-15T04:51:11Z WARN rkv::backend::impl_safe::environment] Ignoring map_size=16777216
[task 2020-03-15T04:51:20.159Z] 04:51:20 INFO - TEST-INFO | started process screentopng
[task 2020-03-15T04:51:20.313Z] 04:51:20 INFO - TEST-INFO | screentopng: exit 0
[task 2020-03-15T04:51:20.313Z] 04:51:20 INFO - Buffered messages logged at 04:45:56
[task 2020-03-15T04:51:20.314Z] 04:51:20 INFO - Running 'test_rename_index.js'
[task 2020-03-15T04:51:20.314Z] 04:51:20 INFO - Pushing preferences
[task 2020-03-15T04:51:20.314Z] 04:51:20 INFO - Pushing permissions
[task 2020-03-15T04:51:20.314Z] 04:51:20 INFO - Clearing old databases
[task 2020-03-15T04:51:20.315Z] 04:51:20 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Unsupported function type
[task 2020-03-15T04:51:20.316Z] 04:51:20 INFO - Running test in a worker
[task 2020-03-15T04:51:20.317Z] 04:51:20 INFO - Worker: loading ["http://mochi.test:8888/tests/dom/indexedDB/test/unit/test_rename_index.js"]
[task 2020-03-15T04:51:20.317Z] 04:51:20 INFO - Worker: starting tests
[task 2020-03-15T04:51:20.318Z] 04:51:20 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Unsupported function type: undefined
[task 2020-03-15T04:51:20.319Z] 04:51:20 INFO - Rename in v1.
[task 2020-03-15T04:51:20.320Z] 04:51:20 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct objectStoreNames list:
[task 2020-03-15T04:51:20.321Z] 04:51:20 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Correct objectStoreNames list:

[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - TEST-PASS | dom/indexedDB/test/test_rename_index.html | Worker finished
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - Cleaning up the databases
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - Buffered messages finished
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/test_rename_index.html | Test timed out.
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:299:16
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - reportError@SimpleTest/TestRunner.js:128:22
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - TestRunner._checkForHangs@SimpleTest/TestRunner.js:150:18
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handler
TestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - setTimeout handlerTestRunner._checkForHangs@SimpleTest/TestRunner.js:184:15
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - TestRunner.runTests/<@SimpleTest/TestRunner.js:420:16
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - promise callback
TestRunner.runTests@SimpleTest/TestRunner.js:407:48
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - RunSet.runtests@SimpleTest/setup.js:218:14
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - RunSet.runall@SimpleTest/setup.js:197:12
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - hookupTests@SimpleTest/setup.js:294:12
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - parseTestManifest@http://mochi.test:8888/manifestLibrary.js:48:13
[task 2020-03-15T04:51:20.331Z] 04:51:20 INFO - getTestManifest/req.onload@http://mochi.test:8888/manifestLibrary.js:61:28
[task 2020-03-15T04:51:20.332Z] 04:51:20 INFO - EventHandlerNonNullgetTestManifest@http://mochi.test:8888/manifestLibrary.js:57:3
[task 2020-03-15T04:51:20.332Z] 04:51:20 INFO - hookup@SimpleTest/setup.js:270:20
[task 2020-03-15T04:51:20.332Z] 04:51:20 INFO - EventHandlerNonNull
@http://mochi.test:8888/tests?autorun=1&closeWhenDone=1&consoleLevel=INFO&manifestFile=tests.json&dumpOutputDirectory=%2Ftmp&cleanupCrashes=true:11:1
[task 2020-03-15T04:51:21.169Z] 04:51:21 INFO - GECKO(1222) | MEMORY STAT | vsize 2692MB | residentFast 164MB | heapAllocated 12MB
[task 2020-03-15T04:51:21.185Z] 04:51:21 INFO - TEST-OK | dom/indexedDB/test/test_rename_index.html | took 325142ms
[task 2020-03-15T04:51:21.233Z] 04:51:21 INFO - TEST-START | dom/indexedDB/test/test_rename_index_errors.html
[task 2020-03-15T04:56:50.161Z] 04:56:50 INFO - Not taking screenshot here: see the one that was previously logged
[task 2020-03-15T04:56:50.162Z] 04:56:50 INFO - Buffered messages logged at 04:51:21
[task 2020-03-15T04:56:50.163Z] 04:56:50 INFO - Running 'test_rename_index_errors.js'
[task 2020-03-15T04:56:50.163Z] 04:56:50 INFO - Pushing preferences
[task 2020-03-15T04:56:50.164Z] 04:56:50 INFO - Pushing permissions
[task 2020-03-15T04:56:50.164Z] 04:56:50 INFO - Clearing old databases
[task 2020-03-15T04:56:50.165Z] 04:56:50 INFO - Buffered messages finished
[task 2020-03-15T04:56:50.165Z] 04:56:50 INFO - TEST-UNEXPECTED-FAIL | dom/indexedDB/test/test_rename_index_errors.html | Test timed out.

Jens can you assign someone to take a look?

Flags: needinfo?(kmaglione+bmo) → needinfo?(jstutte)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

Tom, can you take a short look on this?

Flags: needinfo?(jstutte) → needinfo?(ttung)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Assignee: nobody → apavel
Status: NEW → ASSIGNED
Keywords: leave-open
Whiteboard: [stockwell needswork:owner] → [stockwell needswork:owner][stockwell disabled]
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c1b90d60baea
disable test_rename_index.html on linux 18.04 r=jmaher
Flags: needinfo?(ttung)
Assignee: apavel → nobody
Status: ASSIGNED → NEW

We might want to see what happens if we enable it again on linux.

Flags: needinfo?(jstutte)
Depends on: 1777914
Severity: normal → S3

Now that bug 1777914 is fixed we might just want to try to re-enable this?

Flags: needinfo?(jstutte) → needinfo?(jvarga)

(In reply to Jens Stutte [:jstutte] from comment #40)

Now that bug 1777914 is fixed we might just want to try to re-enable this?

Yes, let's try.

Flags: needinfo?(jvarga)

Bulk closing intermittent bugs for DOM LWS that have not seen new instances since at least 5 months.

Status: NEW → RESOLVED
Closed: 27 days ago
Resolution: --- → INCOMPLETE

Taking back the bulk change.

Status: RESOLVED → UNCONFIRMED
Ever confirmed: false
Resolution: INCOMPLETE → ---
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: leave-open
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Created:
Updated:
Size: